<template>
	       <form>
            <div class="row m-0">
              <div class="col-lg-6 col-md-12">
                <div class="form-group">
                  <label for="name" class>
                    <span>First name</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <input
                      v-model.lazy="v.FirstName.$model"
                      :class="getValidationClass('FirstName')"
                      type="text"
                      class="form-control"
                      id="first-name"
                      placeholder="First name"
                      name="firstname"
                      ref="firstname"
                    >
                    <span
                      class="success-icon"
                      v-if="v.FirstName.$dirty  && !v.FirstName.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.FirstName.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.FirstName.$dirty && !v.FirstName.required"
                    >Please enter Full name</i>
                  </div>
                </div>
              </div>
              <div class="col-lg-6 col-md-12">
                  <div class="form-group">
                  <label for="name" class>
                    <span>Middle name</span>
                  </label>
                  <div class="input-wrapper">
                    <input
                      :class="getValidationClass('MiddleName')"
                      v-model.lazy="v.MiddleName.$model"
                      type="text"
                      class="form-control"
                      id="middle-name"
                      placeholder="Middle name"
                      name="middlename"
                    >
                    <span
                      class="success-icon"
                      v-if="v.MiddleName.$dirty  && !v.MiddleName.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.MiddleName.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                  </div>
                </div>
              </div>
              <div class="col-md-12">
                <div class="form-group">
                  <label for="name" class>
                    <span>Last name</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <input
                      v-model.lazy="v.LastName.$model"
                      :class="getValidationClass('LastName')"
                      type="text"
                      class="form-control"
                      id="last-name"
                      placeholder="Last name"
                      name="lastname"
                    >
                    <span
                      class="success-icon"
                      v-if="v.LastName.$dirty  && !v.LastName.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.LastName.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.LastName.$dirty && !v.LastName.required"
                    >Please enter Last name</i>
                  </div>
                </div>
              </div>
                <div class="col-md-12" v-if="type == 'business'">
								<div class="form-group range-wrap">
									<label for="range" class="">
										<span>Ownership <span class="output-text" >{{ v.OwnershipPerc.$model }}%</span></span>
										<i class="required-field float-left"></i>
									</label>
									<br />
                  <!-- <div class="range-dvdr">
                    <span></span>
                    <span>25</span>
                    <span>50</span>
                    <span>75</span>
                    <span></span>
                  </div> -->
                  <br />
									  <!-- <vue-slider ref="slider" v-model="individual.OwnershipPerc" v-bind="options" ></vue-slider> -->
                    <vue-slider  ref="slider"  v-model="v.OwnershipPerc.$model"  v-bind="options"  >
                    <div  class="diy-tooltip"  v-if="label  %  25  ===  0"  slot="label"  slot-scope="{ label }">
                    <span >{{label}}</span>
                    </div> 
                    </vue-slider>
                       <i
                      class="error-msg"
                      v-if="v.OwnershipPerc.$dirty && v.OwnershipPerc.$model == 0"
                    >Must be greater than 0%</i>
								</div>
							</div>
              <div class="col-md-12">
                <div class="form-group">
                  <label for="datepicker" class>
                    <span>Date of Birth</span>
                    <i class="required-field float-left"></i>
                  </label>
                 <div class="input-wrapper">
                   <input
                      :class="getValidationClass('BirthDt')"
                      v-model.lazy="v.BirthDt.$model"
                      type="date" 
                      class="form-control"
                      id="datepicker"
                      name="datepicker"
                      zone='local'
                      value-zone='local'
                      pattern="[0-9]{4}-[0-9]{2}-[0-9]{2}"
                      />
                      <span
                      class="success-icon"
                      v-if="v.BirthDt.$dirty  && !v.BirthDt.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.BirthDt.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                      <i
                      class="error-msg"
                     v-if="v.BirthDt.$dirty && !v.BirthDt.required"
                    >Please enter Date of Birth </i>
                     <i
                      class="error-msg"
                     v-if="v.BirthDt.$dirty && !v.BirthDt.validDate"
                    >Date of Birth must be 18 years old at least</i>
                  </div>
                </div>
              </div>
              <div class="col-md-12">
                <div class="form-group">
                  <label class>
                    <span>Phone</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <input
                      :class="getValidationClass('Phone')"
                      v-model.lazy="v.Phone.$model"
                      v-mask="'##########'"
                      type="number"
                      class="form-control"
                      id="phonenumber"
                      placeholder="Phone"
                      name="phonenumber"
                    >
                    <span
                      class="success-icon"
                      v-if="v.Phone.$dirty  && !v.Phone.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.Phone.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.Phone.$dirty && !v.Phone.required"
                    >Please enter Phone number</i>
										 <i class="error-msg" v-else-if="v.Phone.$dirty && !v.Phone.validphone">Please enter 10 digits of Phone number</i>
                  </div>
                </div>
              </div>
              <div class="col-lg-6 col-md-12">
                <div class="form-group">
                  <label for="address1" class>
                    <span>Number</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <input
                      :class="getValidationClass('StreetNum')"
                      v-model.lazy="v.StreetNum.$model"
                      type="text"
                      class="form-control"
                      id="address1"
                      placeholder="Number"
                      name="address1"
                    >
                    <span
                      class="success-icon"
                      v-if="v.StreetNum.$dirty  && !v.StreetNum.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.StreetNum.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.StreetNum.$dirty && !v.StreetNum.required"
                    >Please enter Number</i>
                  </div>
                </div>
              </div>
              <div class="col-lg-6 col-md-12">
                <div class="form-group">
                  <label for="address2" class>
                    <span>Street</span>
                     <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <input
                      :class="getValidationClass('StreetName')"
                      v-model.lazy="v.StreetName.$model"
                      type="text"
                      class="form-control"
                      id="address2"
                      placeholder="Street"
                      name="address2"
                    >
                    <span
                      class="success-icon"
                      v-if="v.StreetName.$dirty  && !v.StreetName.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.StreetName.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.StreetName.$dirty && !v.StreetName.required"
                    >Please enter Street</i>
                  </div>
                </div>
              </div>
              <div class="col-lg-6 col-md-12">
                <div class="form-group">
                  <label for="city" class>
                    <span>City</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <input
                      :class="getValidationClass('City')"
                      v-model.lazy="v.City.$model"
                      type="text"
                      class="form-control"
                      id="city"
                      placeholder="City"
                      name="city"
                    >
                    <span
                      class="success-icon"
                      v-if="v.City.$dirty  && !v.City.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.City.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.City.$dirty && !v.City.required"
                    >Please enter City</i>
                  </div>
                </div>
              </div>
              <div class="col-lg-6 col-md-12">
                <div class="form-group">
                  <label for="state" class>
                    <span>State</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <select
                      class="form-control"
                      name="state"
                      :class="getValidationClass('StateProv')"
                      v-model.lazy="v.StateProv.$model"
                    >
                      <option v-for="(option,id) in states" :key="id">{{option}}</option>
                    </select>
                    <span
                      class="success-icon"
                      v-if="v.StateProv.$dirty  && !v.StateProv.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.StateProv.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.StateProv.$dirty && !v.StateProv.required"
                    >Please select State</i>
                  </div>
                </div>
              </div>
              <div class="col-lg-6 col-md-12">
                <div class="form-group">
                  <label for="postalcode" class>
                    <span>Zip code</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <input
                      :class="getValidationClass('PostalCode')"
                      v-model.lazy="v.PostalCode.$model"
                      v-mask="'#####'"
                      type="text"
                      class="form-control"
                      id="postalcode"
                      placeholder="Postal Code"
                      name="postalcode"
                    >
                    <span
                      class="success-icon"
                      v-if="v.PostalCode.$dirty  && !v.PostalCode.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.PostalCode.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.PostalCode.$dirty && !v.PostalCode.required"
                    >Please enter zip code</i>
                    <i
                      class="error-msg"
                      v-if="v.PostalCode.$dirty && !v.PostalCode.validzipcode"
                    >Please enter 5 digits of Zip code</i>
                  </div>
                </div>
              </div>
              <div class="col-lg-6 col-md-12">
                <div class="form-group">
                  <label for="country" class>
                    <span>Country</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <select class="form-control" name="country" id="mySelect" value="USA" disabled>
                      <option>USA</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="col-md-12">
                <div class="form-group">
                  <label for="taxId" class>
                    <span>Tax Id</span>
                    <i class="required-field float-left"></i>
                  </label>
                  <div class="input-wrapper">
                    <input
                      :class="getValidationClass('TaxId')"
                      v-model.lazy="v.TaxId.$model"
                      v-mask="'##-#######'"
                      type="text"
                      class="form-control"
                      id="taxId"
                      placeholder="TaxId"
                      name="taxId"
                    >
                    <span
                      class="success-icon"
                      v-if="v.TaxId.$dirty  && !v.TaxId.$invalid"
                    >
                      <i class="fa fa-check-circle" aria-hidden="true"></i>
                    </span>
                    <span class="error-icon" v-else-if="v.TaxId.$error">
                      <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    </span>
                    <i
                      class="error-msg"
                      v-if="v.TaxId.$dirty && !v.TaxId.required"
                    >Please enter Tax Id</i>
                  </div>
                </div>
              </div>
            </div>
          </form>
</template>

<script>
import { required, minLength, between, email, integer } from "vuelidate/lib/validators";
import { Datetime } from 'vue-datetime';
import 'vue-datetime/dist/vue-datetime.css'
import { helpers } from 'vuelidate/lib/validators'

import vueSlider from 'vue-slider-component';


export default {
  name: "IndividualSubForm",
  components: {
     datetime: Datetime,
     vueSlider
  },
  props: ["type","v"],
  data() {
    return {
      date: new Date(),
      maxdate:'',
      states: [ "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "FL", "GA", "HI", "ID", "IL", "IA", "KS", "KY", "LA", "ME", "MD", "MN", "MS", "MD", "MO", "MT", "NE", "NV", "NH", "NT", "ND", " NJ", "NM", "NY", "NC", "ND", "OH", "Ok", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VA", "VT", "WA", "WV", "WI", "WY" ],
    options:{eventType: 'auto', width: 'auto', height: 6, dotSize: 22, dotHeight: null, dotWidth: null, bgStyle:{backgroundColor:'rgb(244,244,245)'}, processStyle:{backgroundColor:'#4D67FF'}, min: 0, max: 100, interval: 1, show: true, speed: 0.5, disabled: false, piecewise: false, piecewiseStyle: false, piecewiseLabel: true, tooltip: false, tooltipDir: 'top', reverse: false, data: null, clickable: true, realTime: false, lazy: false, formatter: null, sliderStyle: null, piecewiseActiveStyle: null, piecewiseStyle: null, tooltipStyle: null, labelStyle: null, labelActiveStyle: null}  }
  },
  watch: { 
     'v.BirthDt.$model': function(){
          var date = this.v.BirthDt.$model ;
          if(date){
             this.v.BirthDt.$model = date.slice(0, 10);
          }
      },
   },
  mounted () {
    var date = new Date();
    var maxdate=this.$moment(this.date.setFullYear(date.getFullYear() -18)).format("YYYY-MM-DD");
    this.maxdate=maxdate;
  },
  methods: {
	getValidationClass(fieldName) {
      const field = this.v[fieldName];
      if (field) {
        return field.$dirty && field.$invalid
          ? "error-brdr"
          : field.$dirty && !field.$invalid
          ? "success-brdr"
          : "";
      }
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>


   <!-- <datetime
          :input-class="getValidationClass('BirthDt')"
          v-model.lazy="v.BirthDt.$model"
          :max-datetime="maxdate"
          type="date" 
          class="form-control"
          id="datepicker"
          format="MM-dd-yyyy"
          placeholder="Date of Birth"
          name="datepicker"
          zone='local'
          value-zone='local'
          >
        </datetime>  !-->